package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName("AB33")
@ApiModel(value="Ab33对象", description="劳动系统机构表")
public class Ab33 {
	
	@ApiModelProperty(value = "机关单位流水号")
    @TableId(value = "BAB039", type = IdType.INPUT)
    private String ztid;

    @ApiModelProperty(value = "机构名称")
    @TableField("BHB245")
    private String dwmc;
    
    @ApiModelProperty(value = "机构类别")
    @TableField("BAB087")
    private String bab087;
    
    @ApiModelProperty(value = "机构性质")
    @TableField("BCE020")
    private String bce020;
    
    @ApiModelProperty(value = "单位地址")
    @TableField("BCB325")
    private String bcb325;
    
    @ApiModelProperty(value = "邮政编码")
    @TableField("AAE007")
    private String aae007;
    
    @ApiModelProperty(value = "所属地区")
    @TableField("BCD081")
    private String bcd081;
    
    @ApiModelProperty(value = "机构状态")
    @TableField("BAB051")
    private String bab051;
    
    @ApiModelProperty(value = "机构级别")
    @TableField("BFB042")
    private String ztlb;

	public String getZtid() {
		return ztid;
	}

	public void setZtid(String ztid) {
		this.ztid = ztid;
	}

	public String getDwmc() {
		return dwmc;
	}

	public void setDwmc(String dwmc) {
		this.dwmc = dwmc;
	}

	public String getBab087() {
		return bab087;
	}

	public void setBab087(String bab087) {
		this.bab087 = bab087;
	}

	public String getBce020() {
		return bce020;
	}

	public void setBce020(String bce020) {
		this.bce020 = bce020;
	}

	public String getBcb325() {
		return bcb325;
	}

	public void setBcb325(String bcb325) {
		this.bcb325 = bcb325;
	}

	public String getAae007() {
		return aae007;
	}

	public void setAae007(String aae007) {
		this.aae007 = aae007;
	}

	public String getBcd081() {
		return bcd081;
	}

	public void setBcd081(String bcd081) {
		this.bcd081 = bcd081;
	}

	public String getBab051() {
		return bab051;
	}

	public void setBab051(String bab051) {
		this.bab051 = bab051;
	}

	public String getZtlb() {
		return ztlb;
	}

	public void setZtlb(String ztlb) {
		this.ztlb = ztlb;
	}
}